# Source code for azure.mgmt.managementpartner.models.error_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model
    from msrest.exceptions import HttpOperationError

    class Error(Model):
        """this is the management partner operations error.

        :param error: this is the ExtendedErrorInfo property
        :type error: ~azure.mgmt.managementpartner.models.ExtendedErrorInfo
        """

        _attribute_map = {
            'error': {'key': 'error', 'type': 'ExtendedErrorInfo'},
        }

        def __init__(self, *, error=None, **kwargs) -> None:
            super(Error, self).__init__(**kwargs)
            self.error = error

    class ErrorException(HttpOperationError):
        """Server responsed with exception of type: 'Error'.

        :param deserialize: A deserializer
        :param response: Server response to be deserialized.
        """

        def __init__(self, deserialize, response, *args):

            super(ErrorException, self).__init__(deserialize, response, 'Error', *args)